# FiniteSizeScaling.jl

Documentation for [FiniteSizeScaling.jl](https://github.com/owenpb/FiniteSizeScaling.jl): a Julia package for finite-size scaling analysis. This package is for performing finite-size scaling to find optimized values of phase transition parameters (such as critical temperatures) and critical exponents, given data for finite-size lattices.

### Installation
To install [FiniteSizeScaling.jl](https://github.com/owenpb/FiniteSizeScaling.jl), run the following in the Julia REPL:

```julia
] add FiniteSizeScaling
```

### Getting Started
To get started with using the package, see the [Example](example_page.md) page for a brief overview of the finite-size scaling method as applied to the Holstein model. Then see [Demo 1](demo_1.md) for a tutorial on using the package for optimizing one scaling parameter to obtain the best data collapse, and [Demo 2](demo_2.md) for an overview of how to optimize two scaling parameters.

For a detailed description of all available methods in this package, see the [Methods](methods.md) page.